diff --git a/hist/histpainter/src/THistPainter.cxx b/hist/histpainter/src/THistPainter.cxx
index b4cf64a..2ce5158 100644
--- a/hist/histpainter/src/THistPainter.cxx
+++ b/hist/histpainter/src/THistPainter.cxx
@@ -7155,8 +7155,13 @@ void THistPainter::PaintStat(Int_t dostat, TF1 *fit)
       stats->AddText(t);
    }
    if (print_integral) {
-      snprintf(textstats,50,"%s = %s%s",gStringIntegral.Data(),"%",stats->GetStatFormat());
-      snprintf(t,100,textstats,fH->Integral());
+      if (print_integral == 1) {
+         snprintf(textstats,50,"%s = %s%s",gStringIntegral.Data(),"%",stats->GetStatFormat());
+         snprintf(t,100,textstats,fH->Integral());
+      } else {
+         snprintf(textstats,50,"%s = %s%s",gStringIntegral.Data(),"%",stats->GetStatFormat());
+         snprintf(t,100,textstats,fH->Integral("width"));
+      }
       stats->AddText(t);
    }
    if (print_skew) {
